<?php
namespace Claromentis\Comments\Tests;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_a313073bba" . "42f3bc3bdd3" . "d5c87cdb8be" => base64_decode("R2V" . "0"), "_31aba1e5c29106f7c5bd79d" . "ad886adde" => base64_decode("b2Zmc" . "2V0R2" . "V0"), "_d91345deaf5" . "ce6430a776cd" . "c17f9b138" => base64_decode("Y29tbWVu" . "dHM="));
use Claromentis\Comments\CommentsRepository;
use Claromentis\Comments\Controller\PermalinkController;
use Claromentis\Core\Application;
use Claromentis\Core\Localization\Lmsg;
use Claromentis\Core\Repository\Exception\NotFoundException;
use PHPUnit\Framework\TestCase;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
class PermalinkControllerTest extends TestCase
{
    public function testShowingNonexistentThread()
    {
        $lmsg = $this->createMock(Lmsg::class);
        $_d2c43bb68c7967ec126410ea8c683e9d = new PermalinkController($lmsg);
        $app = $this->createMock(Application::class);
        $request = $this->createMock(ServerRequestInterface::class);
        $thread_id = 42069;
        $repo = $this->createMock(CommentsRepository::class);
        $_101c90a4d490f327cde8248984858329 = new NotFoundException();
        $repo->method($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a313073bba42" . "f3bc3bdd3d5c8" . "7cdb8be"])->with($thread_id)->willThrowException($_101c90a4d490f327cde8248984858329);
        $app->method($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_31aba1e5c29106f7c5" . "bd79dad886adde"])->with($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d91345deaf5ce6430a776cd" . "c17f9b138"])->willReturn($repo);
        $this->expectException(NotFoundHttpException::class);
        $_d2c43bb68c7967ec126410ea8c683e9d->ShowThread($app, $request, $thread_id);
    }
}